package cn.com.qmth.stmms.common.enums;

public enum MarkerExcelError {
    CODENULL("课程代码不存在", 0), NAMENULL("用户名为空", 1), NAMEUSED("用户名已被其他学校占用", 2), NAMENOTMARKER("用户名已被占用,且不是评卷员类型", 3), GROUPNULL(
            "大题号不存在", 4), EXAMNULL("考试为空", 5), CLASSNULL("机组为空", 6), EXAMCLASSNULL("考试下没有该机组", 7), NAMENOTHEADER(
            "用户名已被占用,且不是评卷组长类型", 8), NAMENOTINSPECTOR("用户名已被占用,且不是复核员类型", 9);

    private String name;

    private int value;

    MarkerExcelError(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }
}
